| Bsoft 2.0.5 Bernard's software package

Macros | Functions | Variables
bmgconvert.cpp File Reference

Convert between micrograph parameter formats. More...

`#include "mg_processing.h"`
`#include "rwmg.h"`
`#include "rwmgSTAR.h"`
`#include "rwmgRELION.h"`
`#include "rwmgXML.h"`
`#include "mg_ctf.h"`
`#include "file_util.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Macros
#define | DATLINELENGTH 120

## Functions
Bproject * | read_project_conv (Bstring *file_list)
int | write_project_conv (Bstring &filename, Bproject *project, int mg_select, int rec_select)
int | read_project_dat (Bstring &filename, Bproject *project)
| Reading micrograph parameters from a DAT file. More...
int | write_project_dat (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a DAT file. More...
int | read_project_crd (Bstring &filename, Bproject *project)
| Reading micrograph parameters from a CRD file. More...
int | write_project_crd (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a CRD file. More...
int | project_modify_parameters (Bproject *project, char flags)
| Modifies some micrograph parameters. More...
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Convert between micrograph parameter formats.

Author
  Bernard Heymann
  David Belnap
  James Conway
  Juha Huiskonen

Date
  Created: 20061101
  Modified: 20180322

Definition in file bmgconvert.cpp.

## Macro Definition Documentation

## ◆ DATLINELENGTH

#define DATLINELENGTH 120

Definition at line 25 of file bmgconvert.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 73 of file bmgconvert.cpp.

## ◆ project_modify_parameters()

int project_modify_parameters | ( | Bproject * | project,
|  | char | flags
| ) |  |

Modifies some micrograph parameters.

Parameters

  *project | project structure.
  flags | bit 0 = omega 90 flag, bit 1 = mag flag.

Returns
  int error code (<0 means failure).

Definition at line 669 of file bmgconvert.cpp.

## ◆ read_project_conv()

Bproject * read_project_conv | ( | Bstring * | file_list | ) |

Definition at line 163 of file bmgconvert.cpp.

## ◆ read_project_crd()

int read_project_crd | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from a CRD file.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 488 of file bmgconvert.cpp.

## ◆ read_project_dat()

int read_project_dat | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from a DAT file.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 296 of file bmgconvert.cpp.

## ◆ write_project_conv()

int write_project_conv | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Definition at line 243 of file bmgconvert.cpp.

## ◆ write_project_crd()

int write_project_crd | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a CRD file.

Parameters

  *filename | file name.
  *project | project structure.
  mg_select | flag to select micrograph.
  rec_select | flag to select reconstruction.

Returns
  int error code (<0 means failure).

Definition at line 588 of file bmgconvert.cpp.

## ◆ write_project_dat()

int write_project_dat | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a DAT file.

Parameters

  *filename | file name.
  *project | project structure.
  mg_select | flag to select micrograph.
  rec_select | flag to select reconstruction.

Returns
  int error code (<0 means failure).

Definition at line 419 of file bmgconvert.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 40 of file bmgconvert.cpp.

## ◆ verbose

int verbose